%define name            jaxr-api
%define version         1.0
%define release         1jpp
%define section         non-free
%define summary		Java API for XML Registries (JAXR)

URL:            http://java.sun.com/xml/jaxr/

Source0:        jaxr-src.1.0-FCS.zip
# http://www.sun.com/software/communitysource/jaxr/download.xml
NoSource:       0

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        %{summary}
License:        Sun Binary Code License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  java-devel
Requires:	jpackage-utils >= 0:1.5

%description
The Java API for XML Registries (JAXR) provides a uniform 
and standard Java API for accessing different kinds of XML 
Registries. An XML registry is an enabling infrastructure 
for building, deploying, and discovering Web services.
Currently there are a variety of specifications for XML 
registries including, most notably, the ebXML Registry and 
Repository standard, which is being developed by OASIS and 
U.N./CEFACT, and the UDDI specification, which is being 
developed by a vendor consortium.
JAXR enables Java software programmers to use a single, 
easy-to-use abstraction API to access a variety of XML 
registries. Simplicity and ease of use are facilitated 
within JAXR by a unified JAXR information model, which 
describes content and metadata within XML registries. 

%package javadoc
Summary:        Javadoc for %{summary}
Group:          Development/Documentation

%description javadoc
Javadoc for %{summary}.

%prep
%setup -q -c

%build
mkdir -p docs/apidoc
pushd docs/apidoc
%jar xf ../jaxr-apidoc.jar
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755           $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# taxonomies
install -d -m 0755           $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/taxonomies       $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# javadoc
install -d -m 0755           $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/apidoc/*        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version}     $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc %{_docdir}/%{name}-%{version}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Mar 04 2005 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First release

